API EndpointsEvents
Query events by timestamp period and optional event name
Fetch events occurring within a specified timestamp range. An optional event name can be provided to further filter the events.
Authorization
BearerAuthorizer AuthorizationBearer <token>
In: header
Query Parameters
startTime*string
endTime*string
eventName?string
customerAlias?string
limit?number
cursor?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/events?startTime=2019-08-24T14%3A15%3A22Z&endTime=2019-08-24T14%3A15%3A22Z"{ "events": [ { "name": "api_call", "timestamp": "2023-09-13T18:25:43.511Z", "customerAlias": "customer_12345", "ref": "4f6cf35x-2c4y-483z-a0a9-158621f77a21", "data": { "key1": "processing_duration", "key2": "api_url" }, "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "total": 0, "hasMore": true, "nextCursor": "string"}{ "type": "invalid_request_error", "code": "string", "message": "string", "param": "string", "params": [ { "param": "string", "message": "string" } ]}{ "type": "authentication_error", "code": "authentication_failed", "message": "string"}{ "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "string"}{ "type": "api_error", "code": "internal_error", "message": "string"}Submit a batch of events for testing POST
Use this endpoint to send an array of events for processing. Make sure to comply with the request schema for each event. NOTE: this is a dry run and will not result in actual storage of the events.
Submit a batch of events for ingestion POST
Use this endpoint to send an array of events for processing and storage. Make sure to comply with the request schema for each event.

